/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package DocMgmt.Document;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class DocumentTemplate {
    public void addPart() {
    }

    /**  */
    public Document generateAFillInTheBlanksDocument() {
        return new Document();
    }

    public boolean conformsToGoverningDocumentDesc() {
        return false;
    }

    public Vector listTemplatesAffectedIfThisPartChanges() {
        return new Vector();
    }

    private int type;
    private String number;
    private String name;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @supplierRole version
     */
    private DocumentTemplate lnkUnnamed1;
    private String defaultContent;
    private int rationale;

    /**
     *@shapeType AggregationLink
     *    @associates <b>DocumentTemplate</b>
     * @supplierCardinality 0..*
     * @supplierRole part
     * @clientCardinality 0..*
     */
    private Vector lnkUnnamed2;
}


